UbixOS V2 2.0

Data Structures | Macros | Typedefs | Functions | Variables
syscalls.h File Reference
`#include <ubixos/sched.h>`
`#include <vfs/file.h>`
`#include <ubixos/syscall.h>`
Include dependency graph for syscalls.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | syscall_entry

## Macros
#define | ARG_COUNT(name) (sizeof(struct name) / sizeof(register_t))
#define | EJUSTRETURN (-2) /* don't modify regs, just return */
#define | ERESTART (-1) /* restart syscall */
#define | PSL_C 0x00000001 /* carry bit */
#define | SYSCALL_DUMMY 2
#define | SYSCALL_INVALID 0
#define | SYSCALL_NOTIMP 3
#define | SYSCALL_VALID 1
#define | SYSCALLS_MAX 1024

## Typedefs
typedef int(* | functionPTR) ()
typedef int | sys_call_t(struct thread *, void *)

## Functions
int | sysAddModule ()
int | sysAuth ()
int | sysChDir ()
int | sysCheckPid ()
int | sysExec ()
int | sysExit ()
int | sysFclose ()
int | sysFgetc ()
int | sysFopen ()
int | sysFseek ()
int | sysGetCwd ()
int | sysGetDrives ()
int | sysGetFreePage ()
int | sysGetpid ()
int | sysGetTime ()
int | sysGetUptime ()
int | sysMkDir ()
int | sysMpiCreateMbox ()
int | sysMpiDestroyMbox ()
int | sysMpiFetchMessage ()
int | sysMpiPostMessage ()
int | sysMpiSpam ()
int | sysPasswd ()
int | sysRmDir ()
int | sysRmModule ()
int | sysStartSDE ()
int | sysUnlink ()

## Variables
struct syscall_entry | systemCalls []
struct syscall_entry | systemCalls_posix []
int | totalCalls
int | totalCalls_posix

## Macro Definition Documentation

## ◆ ARG_COUNT

#define ARG_COUNT | ( |  | name | ) | (sizeof(struct name) / sizeof(register_t))

Definition at line 42 of file syscalls.h.

## ◆ EJUSTRETURN

#define EJUSTRETURN (-2) /* don't modify regs, just return */

Definition at line 39 of file syscalls.h.

## ◆ ERESTART

#define ERESTART (-1) /* restart syscall */

Definition at line 40 of file syscalls.h.

## ◆ PSL_C

#define PSL_C 0x00000001 /* carry bit */

Definition at line 38 of file syscalls.h.

## ◆ SYSCALL_DUMMY

#define SYSCALL_DUMMY 2

Definition at line 46 of file syscalls.h.

## ◆ SYSCALL_INVALID

#define SYSCALL_INVALID 0

Definition at line 44 of file syscalls.h.

## ◆ SYSCALL_NOTIMP

#define SYSCALL_NOTIMP 3

Definition at line 47 of file syscalls.h.

## ◆ SYSCALL_VALID

#define SYSCALL_VALID 1

Definition at line 45 of file syscalls.h.

## ◆ SYSCALLS_MAX

#define SYSCALLS_MAX 1024

Definition at line 36 of file syscalls.h.

## Typedef Documentation

## ◆ functionPTR

typedef int(* functionPTR) ()

Definition at line 95 of file syscalls.h.

## ◆ sys_call_t

typedef int sys_call_t(struct thread *, void *)

Definition at line 49 of file syscalls.h.

## Function Documentation

## ◆ sysAddModule()

int sysAddModule | ( |  | ) |

Definition at line 117 of file syscall.c.

## ◆ sysAuth()

int sysAuth | ( |  | ) |

## ◆ sysChDir()

int sysChDir | ( |  | ) |

## ◆ sysCheckPid()

int sysCheckPid | ( |  | ) |

## ◆ sysExec()

int sysExec | ( |  | ) |

## ◆ sysExit()

int sysExit | ( |  | ) |

## ◆ sysFclose()

int sysFclose | ( |  | ) |

## ◆ sysFgetc()

int sysFgetc | ( |  | ) |

## ◆ sysFopen()

int sysFopen | ( |  | ) |

## ◆ sysFseek()

int sysFseek | ( |  | ) |

## ◆ sysGetCwd()

int sysGetCwd | ( |  | ) |

## ◆ sysGetDrives()

int sysGetDrives | ( |  | ) |

## ◆ sysGetFreePage()

int sysGetFreePage | ( |  | ) |

## ◆ sysGetpid()

int sysGetpid | ( |  | ) |

## ◆ sysGetTime()

int sysGetTime | ( |  | ) |

## ◆ sysGetUptime()

int sysGetUptime | ( |  | ) |

## ◆ sysMkDir()

int sysMkDir | ( |  | ) |

## ◆ sysMpiCreateMbox()

int sysMpiCreateMbox | ( |  | ) |

## ◆ sysMpiDestroyMbox()

int sysMpiDestroyMbox | ( |  | ) |

## ◆ sysMpiFetchMessage()

int sysMpiFetchMessage | ( |  | ) |

## ◆ sysMpiPostMessage()

int sysMpiPostMessage | ( |  | ) |

## ◆ sysMpiSpam()

int sysMpiSpam | ( |  | ) |

## ◆ sysPasswd()

int sysPasswd | ( |  | ) |

## ◆ sysRmDir()

int sysRmDir | ( |  | ) |

Definition at line 115 of file file.c.

## ◆ sysRmModule()

int sysRmModule | ( |  | ) |

Definition at line 121 of file syscall.c.

## ◆ sysStartSDE()

int sysStartSDE | ( |  | ) |

Definition at line 226 of file syscall.c.

## ◆ sysUnlink()

int sysUnlink | ( |  | ) |

## Variable Documentation

## ◆ systemCalls

struct syscall_entry systemCalls[]

Definition at line 34 of file syscalls.c.

Referenced by sys_call(), and sys_call_posix().

## ◆ systemCalls_posix

struct syscall_entry systemCalls_posix[]

Definition at line 33 of file syscalls_posix.c.

Referenced by sys_call_posix().

## ◆ totalCalls

int totalCalls

Definition at line 92 of file syscalls.c.

Referenced by sys_call().

## ◆ totalCalls_posix

int totalCalls_posix

Definition at line 2791 of file syscalls_posix.c.

Referenced by sys_call_posix().